Page MenuHomePhabricator

[WebAssembly] Autogenerate tests for simd-select.ll
ClosedPublic

Authored by tlively on Jul 13 2020, 7:40 PM.

Details

Summary

Updating the simd-select.ll tests manually with consistent named
regexps for the register numbers was taking more time than it was
worth, so this patch updates that test file to have autogenerated
output. This is not a significant readability regression because the
tests in that file are all very small.

Depends on D83734.

Diff Detail

Event Timeline

tlively created this revision.Jul 13 2020, 7:40 PM
aheejin accepted this revision.Jul 15 2020, 9:28 PM

LGTM.
Nit: NFC usually means code change that does not affect output, so adding tests or changing tests is not NFC by that definition :)

This revision is now accepted and ready to land.Jul 15 2020, 9:28 PM

LGTM.
Nit: NFC usually means code change that does not affect output, so adding tests or changing tests is not NFC by that definition :)

Oof, I can never remember that for some reason :(

tlively retitled this revision from [WebAssembly][NFC] Autogenerate tests for simd-select.ll to [WebAssembly] Autogenerate tests for simd-select.ll.Jul 16 2020, 11:02 AM
This revision was automatically updated to reflect the committed changes.